<template>
  <v-card flat class="bulk-card">
    <v-row justify="space-between" class="datos-carga">
      <v-col cols="12" md="12">
        <data-with-icon
          icon="mdi-file-document-outline"
          placeholder="--- (nombre del archivo)"
          :info="filename"
        />

        <data-with-icon
          icon="mdi-file"
          placeholder="--- (tipo de archivo a cargar)"
          :info="formatBulkFileType(fileType)"
        />

        <data-with-icon
          icon="mdi-account-outline"
          placeholder="--- (supervisor)"
          :info="username"
        />

        <data-with-icon
          icon="mdi-clock-time-four-outline"
          placeholder="--- (fecha y hora de solicitud de carga)"
          :info="formatDateTimeToLocal(requestDate)"
        />
      </v-col>
    </v-row>
  </v-card>
</template>

<script>
import DataWithIcon from '~/components/BulkLoad/RegisterBulkLoad/BulkData/DataWithIcon';
import { formatBulkFileType, formatDateTimeToLocal } from '~/helpers/format';

export default {
  name: 'BulkData',
  components: {
    DataWithIcon,
  },
  props: {
    filename: {
      type: String,
      default: null,
    },
    fileType: {
      type: String,
      default: null,
    },
    username: {
      type: String,
      default: null,
    },
    requestDate: {
      type: String,
      default: null,
    },
  },
  methods: {
    formatBulkFileType,
    formatDateTimeToLocal,
  },
};
</script>

<style scoped>
.bulk-card.v-card.v-card--flat.v-sheet {
  background-color: #6c4f4f14;
}
</style>
